package fov

import (
	"lab.zaar.be/thefish/alchemyst-go/engine/gamemap"
	"lab.zaar.be/thefish/alchemyst-go/engine/types"
)

type Fov interface {
	IsInFov(coords types.Coords) bool
	ComputeFov(level *gamemap.Level, coords types.Coords, radius int)
}